Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024844
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2013-09-30 12:172013-10-17 18:27
ReporterguilleaerView Statuspublic 
Assigned Toguilleaer 
PriorityimmediateResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchFixed in SCM revision478bdb50bf5a
ProjectionnoneETAnoneTarget VersionRMP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024844: WEB POS get stucked with lot of products

DescriptionThe problems is happening with lot of products.

The cause of the problem is the new query added to product.java which retrieves generic products.

We need to create an index for the column "m_product_id" in the table "obretco_prol_product".
Steps To ReproduceCreate a huge qty of products (10000) and try to login in web pos.
Proposed Solutioncreate an index for the column "m_product_id" in the table "obretco_prol_product".
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0061478)
hgbot (developer)
2013-09-30 12:19

Repository: erp/pmods/org.openbravo.retail.config
Changeset: a0cacbdc8f9fd5f73acec39088d6c15505725c24
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 30 12:18:52 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/a0cacbdc8f9fd5f73acec39088d6c15505725c24 [^]

fixed issue 24844: An index has been created for the column m_product_id of table obretco_prol_product

---
M src-db/database/model/tables/OBRETCO_PROL_PRODUCT.xml
---
(0061518)
hgbot (developer)
2013-10-02 10:45

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 478bdb50bf5ad5080821ab993b2f3238023e3bd2
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Oct 01 18:49:40 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/478bdb50bf5ad5080821ab993b2f3238023e3bd2 [^]

fixed issue 24844: the query to add generic products has been changed

---
M src/org/openbravo/retail/posterminal/master/Product.java
---
(0061535)
hgbot (developer)
2013-10-04 09:28

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: 478bdb50bf5ad5080821ab993b2f3238023e3bd2
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Oct 01 18:49:40 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/478bdb50bf5ad5080821ab993b2f3238023e3bd2 [^]

fixed issue 24844: the query to add generic products has been changed

---
M src/org/openbravo/retail/posterminal/master/Product.java
---
(0061539)
guilleaer (developer)
2013-10-04 09:30

reclosed
(0061696)
hgbot (developer)
2013-10-16 13:38

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 478bdb50bf5ad5080821ab993b2f3238023e3bd2
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Oct 01 18:49:40 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/478bdb50bf5ad5080821ab993b2f3238023e3bd2 [^]

fixed issue 24844: the query to add generic products has been changed

---
M src/org/openbravo/retail/posterminal/master/Product.java
---
(0061780)
guilleaer (developer)
2013-10-17 18:27

reclosed

- Issue History
Date Modified Username Field Change
2013-09-30 12:17 guilleaer New Issue
2013-09-30 12:17 guilleaer Assigned To => guilleaer
2013-09-30 12:17 guilleaer Triggers an Emergency Pack => No
2013-09-30 12:19 hgbot Checkin
2013-09-30 12:19 hgbot Note Added: 0061478
2013-09-30 12:19 hgbot Status new => resolved
2013-09-30 12:19 hgbot Resolution open => fixed
2013-09-30 12:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/a0cacbdc8f9fd5f73acec39088d6c15505725c24 [^]
2013-09-30 17:58 marvintm Review Assigned To => marvintm
2013-09-30 17:58 marvintm Status resolved => closed
2013-09-30 17:58 marvintm Fixed in Version => RMP27
2013-10-02 10:45 hgbot Checkin
2013-10-02 10:45 hgbot Note Added: 0061518
2013-10-02 10:45 hgbot Status closed => resolved
2013-10-02 10:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/a0cacbdc8f9fd5f73acec39088d6c15505725c24 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/478bdb50bf5ad5080821ab993b2f3238023e3bd2 [^]
2013-10-04 09:28 hgbot Checkin
2013-10-04 09:28 hgbot Note Added: 0061535
2013-10-04 09:28 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/478bdb50bf5ad5080821ab993b2f3238023e3bd2 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/478bdb50bf5ad5080821ab993b2f3238023e3bd2 [^]
2013-10-04 09:30 guilleaer Note Added: 0061539
2013-10-04 09:30 guilleaer Status resolved => closed
2013-10-16 13:38 hgbot Checkin
2013-10-16 13:38 hgbot Note Added: 0061696
2013-10-16 13:38 hgbot Status closed => resolved
2013-10-16 13:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/478bdb50bf5ad5080821ab993b2f3238023e3bd2 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/478bdb50bf5ad5080821ab993b2f3238023e3bd2 [^]
2013-10-17 18:27 guilleaer Note Added: 0061780
2013-10-17 18:27 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker